% Definisanje parametera za ZK132 4-polni 7.5kW motor SEVER p.u. (r.j.)
% Podaci iz kataloga: ZK132 M-4, Pnom=7.5 kW, nnom=1445 rpm (rated slip 0.0367)
% Efficiency=87%, cos(fi)=0.85. Inom = 15.4A at 3x380V. Mnom=49.6Nm weight 73 kg.

Rs=0.038;      			  % stator resistance
Lm=1.9157;     			  % mutual inductance
Lr=2;          			  % rotor inductance
Ls=Lr;         			  % stator inductance
Le=(Lr*Ls-Lm*Lm)/Lr; 	  % equivalent leakage inductance
Rr=0.04;       			  % Tuned to get the rated slip at the rated current (Pfe losses...)
Km=0.92/0.87/0.85;	  	  % Torque coeficcient 1/eta/cos fi  
% NOTICE: Due to the Pfe losses - unmodelled and friction and ventilation, KM 10% LOWER
Wnom=314.151926; 			  % Rated supply frequency
SlipNom=(1500-1445)/1500; % Rated slip
Idnom=1/Lm;    			  % Rated magnetizing current
Inom=15.4; Unom=380;      % Rated motor line current and line-to-line voltage 
Mnom=49.6;                % Rated motor torque in Nm
p=1;                     % pairs of poles number
Tr=Lr/Rr;               % rotor time constant
Udc=500;                % invertor DC voltage 
FD=0.85;                % rotor flux reference
Ts=0.000001;              % simulation step time
N=12;                          % broj bita strujnog AD konvertora
freq_pwm=10e3;                  % PWM frequency
Tpwm=1/freq_pwm;                % PWM period
tau=50e-6;                        % vremenska konstanta strujnog filtera
alfa_f=exp(-Tpwm/tau);
alfa_s=exp(-Tpwm*Wnom/(Le/Rs));
beta=(Udc/Unom)*(1-alfa_f)*(1-alfa_s)/Rs;
search;
KI=best_i/beta;
KP=best_p/beta;
KC=KP;