% Performance(z) vraca vrednost kriterijumske funkcije za sistem sa 
% zatvorenom povratnom spregom, cija je funkcija spregnutog prenosa 
% data polovima z. 

function p=performance(z)
per=0;

for ii=1:3,
    
    % Polovi na negativnom delu realne ose ciji je moduo veci od 0.6
    % su izrazito nepovoljni. 
    if real(z(ii)) < -0.6, 
        per = per+1000; 
    else 
        % Polovi na negativnom delu realne ose ciji je moduo izmedju 
        % 0.2 i 0.6 su nesto manje nepovoljni.
        if real(z(ii)) < -0.2, 
            per = per + (-0.2-real( z(ii) ) )/0.5; 
        end
    end
    
    % Polovi sa modulom vecim od 0.85 (udaljeni od koordinatnog pocetka)
    % su izrazito nepovoljni.
    if abs(z(ii)) > 0.85, 
        per = per+1000; 
    else
        % Polovi sa modulom izmedju 0.6 i 0.85 su nesto manje nepovoljni.
        if abs(z(ii)) > 0.6, 
            per = per + ((abs(z(ii))-0.6)/0.2)^2;
        end
    end
    
    % Slabo priguseni polovi su nepovoljni.
    if imag(z(ii)) ~= 0,
        s=log(z(ii)); 
        dampcos=abs(real(s))/abs(s);
        if dampcos < 0.5, 
            per = per + ((0.5-dampcos)/0.2)^2; 
        end;
    end;
end;

p=per;


      

    



