% SEARCH pretrazuje definisani deo i-p ravni, kako bi se odredili optimalno
% relativno proporcionalno i integralno pojacanje (best_p i best_i, 
% respektivno).

% Pocetne vrednosti:
best_p = eps;
best_i = eps;

% Koeficijenti k i koreni z karakteristicnog polinoma, za aktuelno
% best_p i best_i:
[k,z]=radici(alfa_f,alfa_s,best_p,best_i);

% Vrednost kriterijumske funkcije:
best_perf=performa(z);

for jp=1:100,
    for ji=1:100,
        % Optimalno p trazi se u opsegu od 0 do 0.3 .
        kp=(jp/100)*0.3;
        % Optimalno i trazi se u opsegu od 0 do 0.03 .
        ki=(ji/100)*0.03;
        [k,z]=radici(alfa_f,alfa_s,kp,ki);
        perf=performa(z);
        if perf < best_perf,
            best_p=kp; best_i=ki; best_perf=perf;
        end;
    end;
    %jp,best_p,best_i,best_perf
end;
  
        
[k,z]=radici(alfa_f,alfa_s,best_p, best_i);
 
resp = dstep(1,k,100);
stairs(resp); 

fprintf('\n\nOptimalne vrednosti relativnih pojacanja PI regulatora:\n')
fprintf('p = %g\n', best_p)
fprintf('i = %g\n', best_i)
fprintf('\nPolovi funkcije spregnutog prenosa sa optimalnim PI regulatorom:\n')
fprintf('z1 = %g\nz2 = %g\nz3 = %g\n\n', z)